package com.secutix.plugin.urlshortener.google;

import com.secutix.plugin.util.InterfaceParametersProvider;
import com.secutix.plugin.util.impl.InterfaceParametersProviderDefaultImpl;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import com.secutix.plugin.util.ValidationException;

public class ValidateGoogleUrlShortenerPlugin {
	private GoogleUrlShortenerPlugin plugin;
	private InterfaceParametersProviderDefaultImpl interfaceParameterProvider;

	@Before
	public void init() {
		plugin = new GoogleUrlShortenerPlugin();
		interfaceParameterProvider = (InterfaceParametersProviderDefaultImpl) plugin.getInterfaceParametersProvider();
		interfaceParameterProvider.getParameters().put("url","https://www.googleapis.com/urlshortener/v1/url"); //Default google url API
		interfaceParameterProvider.getParameters().put("login","Not relevant");
		interfaceParameterProvider.getParameters().put("password","AIzaSyC4eOacgjpbPINk6PaKMT84nIND9mp1ads");//Here we store google API key


	}

	@Test
	public void testShortUrl() {
		// To test with real URLs

		// plugin.shortenUrl("http://sldkvoewrgvnlsjvnldsxnmvlksdnfvlsn.com");
		ShortUrlCallResult res = plugin.shortenUrl("https://www.google.com/");
		Assert.assertTrue(res.isSuccess());
	}



}
